# SourcePath: pump/20101208dev
Summary: DHCP Client pump-autoip
Name: sony-target-dev-pump
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-pump
Version: 0.8.15
Release: 08000101
Source: pump-%{version}.tar.gz
License: GPL2
URL: http://www.gnu.org/software/pump
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
pump-autoip is Linux DHCP client.
There are general dhcp clients, such as dhclient, pump, dhcpcd.
NSC Linux recommends pump, because it allows more setting by
setting file and command options.

Some missing functions are added to original pump. Specifically,
AutoIP, Link check function, DHCP client ID designation,
DHCP scope ID designation, tuning of packet send/recv, etc.
Refer to the man for pump original functions.
AutoIP functions should be disabled for non Upnp system.

%package -n %{pkgname}
Summary: DHCP Client pump-autoip
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
pump-autoip is Linux DHCP client.
There are general dhcp clients, such as dhclient, pump, dhcpcd.
NSC Linux recommends pump, because it allows more setting by
setting file and command options.

Some missing functions are added to original pump. Specifically,
AutoIP, Link check function, DHCP client ID designation,
DHCP scope ID designation, tuning of packet send/recv, etc.
Refer to the man for pump original functions.
AutoIP functions should be disabled for non Upnp system.

%prep
%setup -n pump-%{version}

%build
%sony_target_dev_setup

make \
    CC="${CC}" \
    DESTDIR=%{sony_target_dir} \
    DISABLE_IF_DOWN_EXCEPT_NO_LINK=y \
    DISABLE_LOG_DEBUG=y \
    DISABLE_LOG_INFO=y \
    DISABLE_LOG_ERR=y \
    ENABLE_MULTIPLE_DAEMON=y
%install
%sony_target_dev_setup
rm -rf %{buildroot}


mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
install -m 775 pump \
         %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/var/dhcpd

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(0775,root,root)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/pump
%{sony_target_dir}%{sony_target_dev_dir}/var/dhcpd

%changelog
* Wed Dec 08 2010 Sony Corporation
- Changes for CE-Linux-8.x environment

* Thu Aug 19 2010 Sony Corporation
- Changes for CE-Linux-6.x environment

* Tue Oct 10 2008 Sony Corporation
- Initial build



